<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.23
Name: [4] Zalecenie wykonania procedury
Description: Szablon CDA dla zalecenia wykonania procedury
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000">
   <title>[4] Zalecenie wykonania procedury</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]
Item: (plCdaProcedureRequest)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]"
         id="tmp-r-68aff7a8-6963-4f74-b57c-19721c89cb13">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="count(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23'])&gt;=1 and not(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/@nullFlavor)">(plCdaProcedureRequest): element hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="count(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23'])&lt;=1">(plCdaProcedureRequest): element hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']
Item: (plCdaProcedureRequest)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']"
         id="tmp-r-8cb4e355-2fe8-4920-95e8-8e8f67b1861b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="string(@classCode)='PROC'">(plCdaProcedureRequest): Wartość dla @classCode MUSI wynosić 'PROC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="string(@moodCode)='RQO'">(plCdaProcedureRequest): Wartość dla @moodCode MUSI wynosić 'RQO'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaProcedureRequest): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(plCdaProcedureRequest): Atrybut @negationInd MUSI być typu 'bl'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.23'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.23']/@nullFlavor)">(plCdaProcedureRequest): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.23'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.23'])&lt;=1">(plCdaProcedureRequest): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.23'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6'])&gt;=1 and not(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']/@nullFlavor)">(plCdaProcedureRequest): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6'])&lt;=1">(plCdaProcedureRequest): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(plCdaProcedureRequest): element hl7:text jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaProcedureRequest): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="count(hl7:statusCode)&lt;=1">(plCdaProcedureRequest): element hl7:statusCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaProcedureRequest): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="count(hl7:priorityCode)&lt;=1">(plCdaProcedureRequest): element hl7:priorityCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="count(hl7:languageCode)&lt;=1">(plCdaProcedureRequest): element hl7:languageCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="count(hl7:subject[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.15'])&lt;=1">(plCdaProcedureRequest): element hl7:subject[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.15'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.23']
Item: (plCdaProcedureRequest)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.23']"
         id="tmp-r-1fd58a8c-5d35-4fac-bff3-2042d09317cf">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaProcedureRequest): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.23'">(plCdaProcedureRequest): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.23'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:id
Item: (plCdaProcedureRequest)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:id"
         id="tmp-r-11a7f01f-6a45-4e5c-bcd0-f934dcd61a1f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaProcedureRequest): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']
Item: (plCdaProcedureRequest)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']"
         id="tmp-r-32abdc14-67a3-4898-9989-a9ba2ceb0c4d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaProcedureRequest): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.11.2.6')">(plCdaProcedureRequest): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.11.2.6'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:text
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:text"
         id="tmp-r-213c10d0-b379-4389-b948-758ba6b21c8c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55'] and hl7:reference">(plCdaClinicalStatementText): 
                    Nie może istnieć referencja do treści w sekcji postaci binarnej dokumentu
                </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="count(hl7:reference)&lt;=1">(plCdaClinicalStatementText): element hl7:reference występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:text/hl7:reference
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:text/hl7:reference"
         id="tmp-r-714d5bda-e7c1-430d-a30d-fe879fd1374a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="@value">(plCdaClinicalStatementText): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="not(@value) or string-length(@value)&gt;0">(plCdaClinicalStatementText): Atrybut @value MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section//*[@ID=substring(current()/@value,2)]">(plCdaClinicalStatementText): 
                        Referencja musi wskazywać na konkretny element tekstu sekcji o danym ID
                    </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:statusCode
Item: (plCdaProcedureRequest)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:statusCode"
         id="tmp-r-7872531b-937b-4616-a5d0-661b65751089">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaProcedureRequest): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(plCdaProcedureRequest): Wartość elementu MUSI wynosić ActStatus (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaProcedureRequest): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ActStatus (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:effectiveTime
Item: (plCdaProcedureRequest)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:effectiveTime"
         id="tmp-r-8ba04bc4-7cc8-4d51-9c6a-4961eee4747f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaProcedureRequest): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:priorityCode
Item: (plCdaProcedureRequest)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:priorityCode"
         id="tmp-r-e0498dc6-9015-4381-81ab-e2c3547b5a0e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaProcedureRequest): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaProcedureRequest): Wartość elementu MUSI wynosić ActPriority (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaProcedureRequest): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ActPriority (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:languageCode
Item: (plCdaProcedureRequest)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:languageCode"
         id="tmp-r-9bea74be-1798-413b-825a-df05530f4796">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaProcedureRequest): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(plCdaProcedureRequest): Wartość elementu MUSI wynosić JezykDokumentu Język dokumentu (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaProcedureRequest): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości JezykDokumentu Język dokumentu (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:methodCode
Item: (plCdaProcedureRequest)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:methodCode"
         id="tmp-r-dbe27a63-f1fd-4d12-9438-2c97f043492f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaProcedureRequest): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1065')">(plCdaProcedureRequest): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.5.1065'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:approachSiteCode
Item: (plCdaProcedureRequest)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:approachSiteCode"
         id="tmp-r-018a416c-958b-45d9-8df0-b800f0029374">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaProcedureRequest): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1052')">(plCdaProcedureRequest): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.5.1052'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:targetSiteCode
Item: (plCdaProcedureRequest)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:targetSiteCode"
         id="tmp-r-5044c44c-1a03-485a-a6c0-f2b5a50116f7">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaProcedureRequest): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.23-2014-09-23T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1052')">(plCdaProcedureRequest): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.5.1052'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:subject[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.15']
Item: (plCdaProcedureRequest)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:specimen[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.16']
Item: (plCdaProcedureRequest)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:performer[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.17']
Item: (plCdaProcedureRequest)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.18']
Item: (plCdaProcedureRequest)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']
Item: (plCdaProcedureRequest)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:participant[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.19']
Item: (plCdaProcedureRequest)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:entryRelationship
Item: (plCdaProcedureRequest)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:reference
Item: (plCdaProcedureRequest)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.23
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.23']/hl7:precondition
Item: (plCdaProcedureRequest)
-->
</pattern>
