<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.50
Name: [4] Dane pobytu szpitalnego na wypisie
Description: Szablon CDA dla danych pobytu szpitalnego na karcie informacyjnej leczenia szpitalnego
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000">
   <title>[4] Dane pobytu szpitalnego na wypisie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.50
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]
Item: (plCdaDischargeSummaryEncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]"
         id="tmp-r-f814f617-f9c4-4574-b9e0-63ebc6934f6d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="count(hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50'])&gt;=1 and not(hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/@nullFlavor)">(plCdaDischargeSummaryEncounterEntry): element hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="count(hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50'])&lt;=1">(plCdaDischargeSummaryEncounterEntry): element hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.50
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']
Item: (plCdaDischargeSummaryEncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']"
         id="tmp-r-be988873-6e0c-47ac-a5b9-53122ad12ec1">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="string(@classCode)='ENC' or not(@classCode)">(plCdaDischargeSummaryEncounterEntry): Wartość dla @classCode MUSI wynosić 'ENC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaDischargeSummaryEncounterEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaDischargeSummaryEncounterEntry): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDischargeSummaryEncounterEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.50'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.50']/@nullFlavor)">(plCdaDischargeSummaryEncounterEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.50'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.50'])&lt;=1">(plCdaDischargeSummaryEncounterEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.50'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.4'])&gt;=1 and not(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.4']/@nullFlavor)">(plCdaDischargeSummaryEncounterEntry): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.4'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.4'])&lt;=1">(plCdaDischargeSummaryEncounterEntry): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.4'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaDischargeSummaryEncounterEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(plCdaDischargeSummaryEncounterEntry): element hl7:effectiveTime jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaDischargeSummaryEncounterEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="count(hl7:priorityCode)&lt;=1">(plCdaDischargeSummaryEncounterEntry): element hl7:priorityCode występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.50
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.50']
Item: (plCdaDischargeSummaryEncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.50']"
         id="tmp-r-7c70ae2b-0f6c-4787-b2f2-60c172dd104e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.50'">(plCdaDischargeSummaryEncounterEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.50'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaDischargeSummaryEncounterEntry): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.50
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:id
Item: (plCdaDischargeSummaryEncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:id"
         id="tmp-r-d5591b0b-3573-445a-95e1-e363f22c5e5d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.50
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.4']
Item: (plCdaDischargeSummaryEncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.4']"
         id="tmp-r-4413a5c7-5d41-43b5-b4ae-ee47fd82c5b3">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.11.2.4')">(plCdaDischargeSummaryEncounterEntry): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.11.2.4'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="@code">(plCdaDischargeSummaryEncounterEntry): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="not(@code) or (string-length(@code)&gt;0 and not(matches(@code,'\s')))">(plCdaDischargeSummaryEncounterEntry): Atrybut @code MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="@displayName">(plCdaDischargeSummaryEncounterEntry): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaDischargeSummaryEncounterEntry): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:text
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:text"
         id="tmp-r-63e40d29-b1ea-487d-a229-a391e1c7a78e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55'] and hl7:reference">(plCdaClinicalStatementText): 
                    Nie może istnieć referencja do treści w sekcji postaci binarnej dokumentu
                </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="count(hl7:reference)&lt;=1">(plCdaClinicalStatementText): element hl7:reference występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:text/hl7:reference
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:text/hl7:reference"
         id="tmp-r-2d0758f9-9eda-4575-bd7c-7283debad626">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="@value">(plCdaClinicalStatementText): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="not(@value) or string-length(@value)&gt;0">(plCdaClinicalStatementText): Atrybut @value MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section//*[@ID=substring(current()/@value,2)]">(plCdaClinicalStatementText): 
                        Referencja musi wskazywać na konkretny element tekstu sekcji o danym ID
                    </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.50
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:effectiveTime
Item: (plCdaDischargeSummaryEncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:effectiveTime"
         id="tmp-r-16812c15-665c-4f97-b085-b7bc778d6f5b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="not(@value) or matches(string(@value), '^[0-9]{4,14}')">(plCdaDischargeSummaryEncounterEntry): Atrybut @value MUSI być typu 'ts'</assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="not(@nullFlavor) and not(hl7:low) and not(hl7:high) and not(concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2)) castable as xs:date)">(plCdaDischargeSummaryEncounterEntry): Pierwsze 8 cyfr daty powinno być w formacie YYYYMMDD.</report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="count(hl7:low)&lt;=1">(plCdaDischargeSummaryEncounterEntry): element hl7:low występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="count(hl7:high)&lt;=1">(plCdaDischargeSummaryEncounterEntry): element hl7:high występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.50
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:effectiveTime/hl7:low
Item: (plCdaDischargeSummaryEncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:effectiveTime/hl7:low"
         id="tmp-r-c60e3e86-9397-4f88-a9ad-2535773427b8">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="@value">(plCdaDischargeSummaryEncounterEntry): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="not(@value) or matches(string(@value), '^[0-9]{4,14}')">(plCdaDischargeSummaryEncounterEntry): Atrybut @value MUSI być typu 'ts'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2)) castable as xs:date">(plCdaDischargeSummaryEncounterEntry): Pierwsze 8 cyfr daty powinno być w formacie YYYYMMDD.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.50
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:effectiveTime/hl7:high
Item: (plCdaDischargeSummaryEncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:effectiveTime/hl7:high"
         id="tmp-r-ff0c588f-56ee-4139-8cab-b211d50b0360">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="@value">(plCdaDischargeSummaryEncounterEntry): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="not(@value) or matches(string(@value), '^[0-9]{4,14}')">(plCdaDischargeSummaryEncounterEntry): Atrybut @value MUSI być typu 'ts'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2)) castable as xs:date">(plCdaDischargeSummaryEncounterEntry): Pierwsze 8 cyfr daty powinno być w formacie YYYYMMDD.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.50
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:priorityCode
Item: (plCdaDischargeSummaryEncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:priorityCode"
         id="tmp-r-b4c9174a-6121-4c68-bf7a-fe320af08ac3">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.26-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaDischargeSummaryEncounterEntry): Wartość elementu MUSI wynosić PilnyLubZwykly Określenie trybu realizacji jako pilny lub zwykły (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.26-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2017-01-02T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaDischargeSummaryEncounterEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości PilnyLubZwykly Określenie trybu realizacji jako pilny lub zwykły (DYNAMICZNE)</assert>
   </rule>
</pattern>
